Linux - XBMC can't update plugins and install plugins from ZIP
#1
Log: http://pastebin.com/B9dGLLDX
XBMC (12.0-ALPHA6 Git:20120919-c31aca2)
See:
XBMC can't update plugin plugin.video.youtube.
DEBUG: FileManager: copy http://mirrors.xbmc.org/addons/eden/plug...-3.1.0.zip -> special://home/addons/packages/
DEBUG: CurlFile::Open(0xa9df6b8) http://mirrors.xbmc.org/addons/eden/plug...-3.2.0.zip
ERROR: DeleteFile - cant delete file </home/xbmc2/.xbmc/addons/packages/plugin.video.youtube-3.2.0.zip>. trying lower case </home/xbmc2/.xbmc/addons/packages/plugin.video.youtube-3.2.0.zip>

XBMC can't install repository repository.mrstealth.zip.
DEBUG: GetZipList - Processing zip://%2fmedia%2fDATA%2fDownloads%2frepository.mrstealth.zip/
DEBUG: FileManager: copy /media/DATA/Downloads/repository.mrstealth.zip -> special://home/addons/packages/
ERROR: Delete - Error deleting file /home/xbmc2/.xbmc/addons/packages/
ERROR: Delete - Error deleting file special://home/addons/packages/
ERROR: DeleteFile - cant delete file </home/xbmc2/.xbmc/addons/packages/repository.mrstealth.zip>. trying lower case </home/xbmc2/.xbmc/addons/packages/repository.mrstealth.zip>
Acer Aspire Revo R3700 Nettop, Intel Atom Dual Core D525B 1.8GHz, 2GB RAM, 500GB HDD, NOOPT, ION 2, HDMI, Linux
Ubuntu 14.04 LTS i686, Kodi 15.2 (github)
RPi2/3, Cirrus Logic Audio, OpenELEC 6.0.3 armv7l (Hias), Kodi 15.2
Mac OS X 10.8.5, Kodi 15.2
Reply
#2
Already fixed in master. There was also a bug report for this on trac.
Always read the online manual (wiki), FAQ (wiki) and search the forum before posting.
Do not e-mail Team Kodi members directly asking for support. Read/follow the forum rules (wiki).
Please read the pages on troubleshooting (wiki) and bug reporting (wiki) before reporting issues.
Reply
#3
(2012-09-20, 23:33)Montellese Wrote: Already fixed in master. There was also a bug report for this on trac.
Thank you. I run update my night build.

Edit: Checked. Worked OK.
Acer Aspire Revo R3700 Nettop, Intel Atom Dual Core D525B 1.8GHz, 2GB RAM, 500GB HDD, NOOPT, ION 2, HDMI, Linux
Ubuntu 14.04 LTS i686, Kodi 15.2 (github)
RPi2/3, Cirrus Logic Audio, OpenELEC 6.0.3 armv7l (Hias), Kodi 15.2
Mac OS X 10.8.5, Kodi 15.2
Reply
#4
Hi,

I'm experiencing this issue with 2:11.9.6~git201209182056~1609af5-1~ppa1~precise

Can someone point me to best PPA for Ubuntu Precise ? Many thanks
Reply
#5
Just a quick update....

Having had great fun today with building from git and distcc I realised that my very messy precise installation was to blame.Having upgraded from 8.somthing or other all the way to 12.04 I had a hell of a lot of obsolete packages or unstable libraries from disabled ppas left over.

Tidied it all up and now even 2:11.9.6~git201209182056~1609af5-1~ppa1~precise works.

Moral of the story .... clean your own **** up before complaining.... All the best keep up the great work
Reply
#6
Newbie here, how do I go about applying this fix on ATV1? Thanks
Reply
#7
Can someone help me with this? I am still having those problem but I think it's only because I don't know how to apply the solution. Is there an update function or something
Reply
#8
I am on an ATV2, latest OS. I cant remember my build number but just updated everything through Nito and I am still getting the same error as of 11/7/2012

Update: I just noticed that I log into my ATV as user: root. But everything is owned by user:mobile. I noticed on this site it says to try to SSH in a user:mobile and if that doesn't work to try user:root. Did something change?
Reply
 
Thread Rating:
  • 0 Vote(s) - 0 Average



Logout Mark Read Team Forum Stats Members Help
XBMC can't update plugins and install plugins from ZIP00